:INSTALL
ECHO OFF
IF "%1"=="" GOTO HELP
IF "%2"=="" GOTO HELP
IF "%3"=="" GOTO HELP
CLS
ECHO.
ECHO                    ****************************************
ECHO                    *                                      *
ECHO                    *         R e n t M a n   v1.1         *
ECHO                    *                                      *
ECHO                    *         Installation Program         *
ECHO                    *                                      *
ECHO                    ****************************************
ECHO.
ECHO.
ECHO.
ECHO        This is the RentMan install program.  Based on the parameters you
ECHO        supply, it will proceed to automatically install the software on your
ECHO        disk(s) so that you may begin to use it.
ECHO.
ECHO.
ECHO        Note: If you will be installing the software on floppy disks rather
ECHO              than a hard disk, you will need three formatted blank disks
ECHO              before running this install program.
ECHO.
ECHO.
ECHO        Do you wish to proceed with the installation process (Y/N) ?
KEYPRESS YN
IF ERRORLEVEL 2 GOTO DONE
:COMMENCE
IF "%1"=="F" GOTO FLOPPY
IF "%1"=="f" GOTO FLOPPY
:HARDDISK
CLS
ECHO.
ECHO.
ECHO                        ********************************
ECHO                        *    Hard Disk Installation    *
ECHO                        ********************************
ECHO.
ECHO.
ECHO.
ECHO      The install program will now place the necessary RentMan files on your
ECHO      hard disk, in the directory %3
ECHO.
ECHO      Please insert the RentMan Program Disk in drive %2
ECHO.
ECHO.
PAUSE
:MAKEDIR
MD %3
CD %3
:ABSENT1
IF EXIST %2\RM.EXE GOTO CPY1
ECHO.
ECHO  PLEASE INSERT THE RENTMAN PROGRAM DISK IN DRIVE %2
ECHO.
PAUSE
IF NOT EXIST %2\RM.EXE GOTO ABSENT1
:CPY1
ECHO.
ECHO               Installing files.  Please wait. . .
COPY %2\*.BAT %3
COPY %2\ORDER.FRM %3
COPY %2\*.COM %3
COPY %2\RM.EXE %3
COPY %2\*.SCN %3
COPY %2\ERROR.TXT %3
COPY %2\MANUAL.DOC %3
IF EXIST %3\BLDGDATA.DBF GOTO KEEPDATA
COPY %2\*.DBF %3
COPY %2\*.NDX %3
COPY %2\PARAMTRS.MEM %3
GOTO DATAOK
:KEEPDATA
ECHO.
ECHO  *** NOTE:  RentMan data files already exist in directory %3.
ECHO             Your data files will be preserved for use with this new version
ECHO             of RentMan.
:DATAOK
IF EXIST %2\RM.OVL GOTO CPY2B
ECHO.
ECHO      Please insert the RentMan Overlays Disk in drive %2
ECHO.
PAUSE
:ABSENT2
IF EXIST %2\RM.OVL GOTO CPY2
ECHO.
ECHO  PLEASE INSERT THE RENTMAN OVERLAYS DISK IN DRIVE %2
ECHO.
PAUSE
IF NOT EXIST %2\RM.OVL GOTO ABSENT2
:CPY2
ECHO.
ECHO               Installing files.  Please wait. . .
:CPY2B
COPY %2\RM.DBC %3
COPY %2\RM.OVL %3
CLS
ECHO.
ECHO.
ECHO     Installation complete.
ECHO.
ECHO.
ECHO     To load RentMan hereafter, from the DOS prompt type the following lines:
ECHO        CD %3  followed by the ENTER key, then
ECHO        GO  followed by the ENTER key.
ECHO.
ECHO.
ECHO.
ECHO.
ECHO.
ECHO.
ECHO.
ECHO.
PAUSE
GOTO DONE
:FLOPPY
CLS
ECHO.
ECHO.
ECHO                       **********************************
ECHO                       *    Dual Floppy Installation    *
ECHO                       **********************************
ECHO.
ECHO      The install program will now place the necessary RentMan files on your
ECHO      floppy disks.  Make sure you have three formatted blank floppy disks.
ECHO      Label your disks RUN, OVERLAYS, and DATA respectively.
ECHO.
ECHO      Please insert the original RentMan Program Disk in drive %2
ECHO.
ECHO      Insert your blank formatted RUN disk in drive %3
ECHO.
PAUSE
:FABSENT1
IF EXIST %2\RM.EXE GOTO FCPY1
ECHO.
ECHO  PLEASE INSERT THE ORIGINAL RENTMAN PROGRAM DISK IN DRIVE %2
ECHO.
PAUSE
IF NOT EXIST %2\RM.EXE GOTO FABSENT1
:FCPY1
ECHO Please wait...
COPY %2\*.BAT %3
COPY %2\ORDER.FRM %3
COPY %2\*.COM %3
COPY %2\RM.EXE %3
COPY %2\MANUAL.DOC %3
ECHO.
ECHO      Insert your blank formatted DATA disk in drive %3
ECHO.
PAUSE
:FABSENT2
IF EXIST %2\BLDGDATA.DBF GOTO FCPY2
ECHO.
ECHO  PLEASE INSERT THE ORIGINAL RENTMAN PROGRAM DISK IN DRIVE %2
ECHO.
PAUSE
IF NOT EXIST %2\BLDGDATA.DBF GOTO FABSENT2
:FCPY2
ECHO Please wait...
COPY %2\ERROR.TXT %3
COPY %2\GO.BAT %3
IF EXIST %3\BLDGDATA.DBF GOTO FKEEPDAT
COPY %2\*.DBF %3
COPY %2\*.NDX %3
COPY %2\PARAMTRS.MEM %3
GOTO FDATAOK
:FKEEPDAT
ECHO.
ECHO  *** NOTE:  RentMan data files already exist on the data disk in
ECHO             drive %3.  Your data files will be preserved for use with
ECHO             this new version of RentMan.
:FDATAOK
ECHO.
ECHO      Insert your blank formatted OVERLAYS disk in drive %3
ECHO.
PAUSE
:FABSENT3
IF EXIST %2\POSTRENT.SCN GOTO FCPY3
ECHO.
ECHO  PLEASE INSERT THE ORIGINAL RENTMAN PROGRAM DISK IN DRIVE %2
ECHO.
PAUSE
IF NOT EXIST %2\POSTRENT.SCN GOTO FABSENT3
:FCPY3
ECHO Please wait...
COPY %2\*.SCN %3
ECHO.
ECHO      Please insert the original RentMan Overlays Disk in drive %2
ECHO.
ECHO      Leave your blank formatted OVERLAYS disk in drive %3
ECHO.
PAUSE
:FABSENT4
IF EXIST %2\RM.OVL GOTO FCPY4
ECHO.
ECHO  PLEASE INSERT THE ORIGINAL RENTMAN OVERLAYS DISK IN DRIVE %2
ECHO.
PAUSE
IF NOT EXIST %2\RM.OVL GOTO FABSENT4
:FCPY4
ECHO.
ECHO Please wait...
COPY %2\RM.DBC %3
COPY %2\RM.OVL %3
CLS
ECHO.
ECHO.
ECHO     Installation complete.
ECHO.
ECHO.
ECHO     To load RentMan hereafter, do the following:
ECHO.
ECHO        *  Boot the computer as usual with your DOS disk
ECHO.
ECHO        *  Remove your DOS disk and place your OVERLAYS disk in drive A
ECHO.
ECHO        *  Place your RUN disk in drive B
ECHO.
ECHO        *  Change the default drive to B by typing B: then the ENTER key
ECHO.
ECHO        *  Type  GO then press the ENTER key
ECHO.
ECHO        *  After the program has loaded and the RentMan title screen is
ECHO           being displayed, remove your RUN disk and place the
ECHO           DATA disk in drive B, before pressing any key to start the program.
ECHO.
ECHO        *** NOTE: The above instructions are also listed in the User's Manual.
ECHO.
PAUSE
GOTO DONE
:HELP
CLS
ECHO                          ****   HELP SCREEN   ****
ECHO.
ECHO  To properly run this install program you should type INSTALL, followed
ECHO  by a F or H to indicate installation onto a dual floppy system or a hard
ECHO  disk system, followed by the source drive designation, followed by the
ECHO  destination drive designation.  (NOTE: THE SOURCE AND DESTINATION DRIVE
ECHO  PATHS SHOULD  ** NOT **  END WITH A BACKSLASH "\".)
ECHO.
ECHO  Examples:
ECHO.
ECHO   1. To install RentMan on a dual floppy system, copying from your original
ECHO      RentMan disks in drive A, onto your floppy disks in drive B, type the
ECHO      following from the DOS prompt:
ECHO         INSTALL F A: B:
ECHO.
ECHO   2. To install RentMan in a directory called RENTMAN, on hard disk C, copying
ECHO      from your original RentMan disks in floppy drive A, type the following
ECHO      from the DOS prompt:
ECHO         INSTALL H A: C:\RENTMAN
ECHO.
ECHO      NOTE: If you already have a version of RentMan installed in a directory
ECHO            on your hard disk, you may specify that directory when you install
ECHO            this version.  The install program will replace ONLY the RentMan
ECHO            program files; YOUR DATA FILES WILL NOT BE ALTERED.
PAUSE
GOTO END
:DONE
CLS
:END
